KPEG(1)

NAME
kpeg - ruby parser generator from PEG grammar

SYNOPSIS
 kpeg [ options ]

DESCRIPTION
kpeg generates ruby parser from a PEG (parsing expression grammar) file.

The grammar syntax is described on kpeg home page <https://github.com/evanphx/kpeg>

OPTIONS
    -t, --test                       Syntax check the file only
        --reformat                   Reformat your grammar and write it back out
    -o, --output FILE                Where the output should go
    -n, --name NAME                  Class name to use for the parser
    -f, --force                      Overwrite the output if it exists
    -s, --stand-alone                Write the parser to run standalone
    -v, --[no-]verbose               Run verbosely
    -d, --debug                      Debug parsing the file

AUTHOR
This manual page was written by Dominique Dumont <dod@debian.org>, for the Debian GNU/Linux system(but may be used by others).

SEE ALSO
kpeg home page <https://github.com/evanphx/kpeg>